com.amazonaws.services.codebuild

## Class AbstractAWSCodeBuild

- java.lang.Object
- - com.amazonaws.services.codebuild.AbstractAWSCodeBuild

All Implemented Interfaces:
  AWSCodeBuild

Direct Known Subclasses:
  AbstractAWSCodeBuildAsync

    public class AbstractAWSCodeBuild
    extends Object
    implements AWSCodeBuild

Abstract implementation of `AWSCodeBuild`. Convenient method forms pass through to the corresponding overload that takes a request object, which throws an `UnsupportedOperationException`.

### Field Summary

### Fields inherited from interface com.amazonaws.services.codebuild.AWSCodeBuild

`ENDPOINT_PREFIX`

### Constructor Summary

Constructors
`protected` `AbstractAWSCodeBuild()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetBuildsResult` `batchGetBuilds(BatchGetBuildsRequest request)` Gets information about one or more builds.
`BatchGetProjectsResult` `batchGetProjects(BatchGetProjectsRequest request)` Gets information about one or more build projects.
`CreateProjectResult` `createProject(CreateProjectRequest request)` Creates a build project.
`DeleteProjectResult` `deleteProject(DeleteProjectRequest request)` Deletes a build project.
`ResponseMetadata` `getCachedResponseMetadata(AmazonWebServiceRequest request)` Returns additional metadata for a previously executed successful request, typically used for debugging issues where a service isn't acting as expected.
`ListBuildsResult` `listBuilds(ListBuildsRequest request)` Gets a list of build IDs, with each build ID representing a single build.
`ListBuildsForProjectResult` `listBuildsForProject(ListBuildsForProjectRequest request)` Gets a list of build IDs for the specified build project, with each build ID representing a single build.
`ListCuratedEnvironmentImagesResult` `listCuratedEnvironmentImages(ListCuratedEnvironmentImagesRequest request)` Gets information about Docker images that are managed by AWS CodeBuild.
`ListProjectsResult` `listProjects(ListProjectsRequest request)` Gets a list of build project names, with each build project name representing a single build project.
`void` `setEndpoint(String endpoint)` Overrides the default endpoint for this client ("codebuild.us-east-1.amazonaws.com").
`void` `setRegion(Region region)` An alternative to `AWSCodeBuild.setEndpoint(String)`, sets the regional endpoint for this client's service calls.
`void` `shutdown()` Shuts down this client object, releasing any resources that might be held open.
`StartBuildResult` `startBuild(StartBuildRequest request)` Starts running a build.
`StopBuildResult` `stopBuild(StopBuildRequest request)` Attempts to stop running a build.
`UpdateProjectResult` `updateProject(UpdateProjectRequest request)` Changes the settings of an existing build project.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractAWSCodeBuild

    protected AbstractAWSCodeBuild()

### Method Detail

#### setEndpoint

    public void setEndpoint(String endpoint)

Description copied from interface: `AWSCodeBuild`
Overrides the default endpoint for this client ("codebuild.us-east-1.amazonaws.com"). Callers can use this method to control which AWS region they want to work with.

Callers can pass in just the endpoint (ex: "codebuild.us-east-1.amazonaws.com") or a full URL, including the protocol (ex: "codebuild.us-east-1.amazonaws.com"). If the protocol is not specified here, the default protocol from this client's `ClientConfiguration` will be used, which by default is HTTPS.

For more information on using AWS regions with the AWS SDK for Java, and a complete list of all available endpoints for all AWS services, see: http://developer.amazonwebservices.com/connect/entry.jspa?externalID=3912

This method is not threadsafe. An endpoint should be configured when the client is created and before any service requests are made. Changing it afterwards creates inevitable race conditions for any service requests in transit or retrying.

Specified by:
  `setEndpoint` in interface `AWSCodeBuild`
Parameters:
  `endpoint` - The endpoint (ex: "codebuild.us-east-1.amazonaws.com") or a full URL, including the protocol (ex: "codebuild.us-east-1.amazonaws.com") of the region specific AWS endpoint this client will communicate with.

#### setRegion

    public void setRegion(Region region)

Description copied from interface: `AWSCodeBuild`
An alternative to `AWSCodeBuild.setEndpoint(String)`, sets the regional endpoint for this client's service calls. Callers can use this method to control which AWS region they want to work with.

By default, all service endpoints in all regions use the https protocol. To use http instead, specify it in the `ClientConfiguration` supplied at construction.

This method is not threadsafe. A region should be configured when the client is created and before any service requests are made. Changing it afterwards creates inevitable race conditions for any service requests in transit or retrying.

Specified by:
  `setRegion` in interface `AWSCodeBuild`
Parameters:
  `region` - The region this client will communicate with. See `Region.getRegion(com.amazonaws.regions.Regions)` for accessing a given region. Must not be null and must be a region where the service is available.
See Also:
  `Region.getRegion(com.amazonaws.regions.Regions)`, `Region.createClient(Class, com.amazonaws.auth.AWSCredentialsProvider, ClientConfiguration)`, `Region.isServiceSupported(String)`

#### batchGetBuilds

    public BatchGetBuildsResult batchGetBuilds(BatchGetBuildsRequest request)

Description copied from interface: `AWSCodeBuild`

Gets information about one or more builds.

Specified by:
  `batchGetBuilds` in interface `AWSCodeBuild`
Returns:
  Result of the BatchGetBuilds operation returned by the service.

#### batchGetProjects

    public BatchGetProjectsResult batchGetProjects(BatchGetProjectsRequest request)

Description copied from interface: `AWSCodeBuild`

Gets information about one or more build projects.

Specified by:
  `batchGetProjects` in interface `AWSCodeBuild`
Returns:
  Result of the BatchGetProjects operation returned by the service.

#### createProject

    public CreateProjectResult createProject(CreateProjectRequest request)

Description copied from interface: `AWSCodeBuild`

Creates a build project.

Specified by:
  `createProject` in interface `AWSCodeBuild`
Returns:
  Result of the CreateProject operation returned by the service.

#### deleteProject

    public DeleteProjectResult deleteProject(DeleteProjectRequest request)

Description copied from interface: `AWSCodeBuild`

Deletes a build project.

Specified by:
  `deleteProject` in interface `AWSCodeBuild`
Returns:
  Result of the DeleteProject operation returned by the service.

#### listBuilds

    public ListBuildsResult listBuilds(ListBuildsRequest request)

Description copied from interface: `AWSCodeBuild`

Gets a list of build IDs, with each build ID representing a single build.

Specified by:
  `listBuilds` in interface `AWSCodeBuild`
Returns:
  Result of the ListBuilds operation returned by the service.

#### listBuildsForProject

    public ListBuildsForProjectResult listBuildsForProject(ListBuildsForProjectRequest request)

Description copied from interface: `AWSCodeBuild`

Gets a list of build IDs for the specified build project, with each build ID representing a single build.

Specified by:
  `listBuildsForProject` in interface `AWSCodeBuild`
Returns:
  Result of the ListBuildsForProject operation returned by the service.

#### listCuratedEnvironmentImages

    public ListCuratedEnvironmentImagesResult listCuratedEnvironmentImages(ListCuratedEnvironmentImagesRequest request)

Description copied from interface: `AWSCodeBuild`

Gets information about Docker images that are managed by AWS CodeBuild.

Specified by:
  `listCuratedEnvironmentImages` in interface `AWSCodeBuild`
Returns:
  Result of the ListCuratedEnvironmentImages operation returned by the service.

#### listProjects

    public ListProjectsResult listProjects(ListProjectsRequest request)

Description copied from interface: `AWSCodeBuild`

Gets a list of build project names, with each build project name representing a single build project.

Specified by:
  `listProjects` in interface `AWSCodeBuild`
Returns:
  Result of the ListProjects operation returned by the service.

#### startBuild

    public StartBuildResult startBuild(StartBuildRequest request)

Description copied from interface: `AWSCodeBuild`

Starts running a build.

Specified by:
  `startBuild` in interface `AWSCodeBuild`
Returns:
  Result of the StartBuild operation returned by the service.

#### stopBuild

    public StopBuildResult stopBuild(StopBuildRequest request)

Description copied from interface: `AWSCodeBuild`

Attempts to stop running a build.

<note>

Completed builds cannot be stopped.

</note>

Specified by:
  `stopBuild` in interface `AWSCodeBuild`
Returns:
  Result of the StopBuild operation returned by the service.

#### updateProject

    public UpdateProjectResult updateProject(UpdateProjectRequest request)

Description copied from interface: `AWSCodeBuild`

Changes the settings of an existing build project.

Specified by:
  `updateProject` in interface `AWSCodeBuild`
Returns:
  Result of the UpdateProject operation returned by the service.

#### shutdown

    public void shutdown()

Description copied from interface: `AWSCodeBuild`
Shuts down this client object, releasing any resources that might be held open. This is an optional method, and callers are not expected to call it, but can if they want to explicitly release any open resources. Once a client has been shutdown, it should not be used to make any more requests.

Specified by:
  `shutdown` in interface `AWSCodeBuild`

#### getCachedResponseMetadata

    public ResponseMetadata getCachedResponseMetadata(AmazonWebServiceRequest request)

Description copied from interface: `AWSCodeBuild`
Returns additional metadata for a previously executed successful request, typically used for debugging issues where a service isn't acting as expected. This data isn't considered part of the result data returned by an operation, so it's available through this separate, diagnostic interface.

Response metadata is only cached for a limited period of time, so if you need to access this extra diagnostic information for an executed request, you should use this method to retrieve it as soon as possible after executing a request.

Specified by:
  `getCachedResponseMetadata` in interface `AWSCodeBuild`
Parameters:
  `request` - The originally executed request.
Returns:
  The response metadata for the specified request, or null if none is available.